> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an engagement

> This endpoint is used to get an engagement (a task or activity) for a CRM record in HubSpot. Use case for this endpoint: This data can be used to report on per-rep productivity or to integrate HubSpot with other back-office tools. For another example, you can use this information about an individual call to drive automation about when the next follow-up meeting or call should happen.

### Scopes

In addition to the contacts scope, the sales-email-read scope is required in order to receive the details of any email-type engagements. See the Engagement API Overview for more details.



## OpenAPI

````yaml specs/legacy/v1/crm-engagements-v1.json GET /engagements/v1/engagements/{engagementId}
openapi: 3.0.0
info:
  title: CRM Engagements API v1
  version: 1.0.0
  description: Legacy CRM Engagements API v1 - Auto-generated from MDX documentation
servers:
  - url: https://api.hubapi.com
    description: HubSpot API Server
security: []
paths:
  /engagements/v1/engagements/{engagementId}:
    get:
      summary: Get an engagement
      description: >-
        This endpoint is used to get an engagement (a task or activity) for a
        CRM record in HubSpot. Use case for this endpoint: This data can be used
        to report on per-rep productivity or to integrate HubSpot with other
        back-office tools. For another example, you can use this information
        about an individual call to drive automation about when the next
        follow-up meeting or call should happen.


        ### Scopes


        In addition to the contacts scope, the sales-email-read scope is
        required in order to receive the details of any email-type engagements.
        See the Engagement API Overview for more details.
      operationId: getengagementsv1engagementsengagementId
      parameters:
        - name: engagementId
          in: path
          required: true
          description: The unique ID of the engagement you want the information for.
          schema:
            type: string
      responses:
        '200':
          description: Successful response - Engagement information retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  engagement:
                    type: object
                    properties:
                      id:
                        type: integer
                      portalId:
                        type: integer
                      active:
                        type: boolean
                      createdAt:
                        type: integer
                      lastUpdated:
                        type: integer
                      ownerId:
                        type: integer
                      type:
                        type: string
                        enum:
                          - EMAIL
                          - CALL
                          - MEETING
                          - TASK
                          - NOTE
                      timestamp:
                        type: integer
                  associations:
                    type: object
                    properties:
                      contactIds:
                        type: array
                        items:
                          type: integer
                      companyIds:
                        type: array
                        items:
                          type: integer
                      dealIds:
                        type: array
                        items:
                          type: integer
                      ownerIds:
                        type: array
                        items:
                          type: integer
                  metadata:
                    type: object

````